<?php
$tdatacheque_register = array();
$tdatacheque_register[".searchableFields"] = array();
$tdatacheque_register[".ShortName"] = "cheque_register";
$tdatacheque_register[".OwnerID"] = "";
$tdatacheque_register[".OriginalTable"] = "cheque_register";


$tdatacheque_register[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"list\":[\"list\",\"list_add\",\"list_inline_add\"],\"print\":[\"print1\"],\"search\":[\"search\"]}" );
$tdatacheque_register[".originalPagesByType"] = $tdatacheque_register[".pagesByType"];
$tdatacheque_register[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"list\":[\"list\",\"list_add\",\"list_inline_add\"],\"print\":[\"print1\"],\"search\":[\"search\"]}" ) );
$tdatacheque_register[".originalPages"] = $tdatacheque_register[".pages"];
$tdatacheque_register[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"list\":\"list\",\"print\":\"print1\",\"search\":\"search\"}" );
$tdatacheque_register[".originalDefaultPages"] = $tdatacheque_register[".defaultPages"];

//	field labels
$fieldLabelscheque_register = array();
$fieldToolTipscheque_register = array();
$pageTitlescheque_register = array();
$placeHolderscheque_register = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelscheque_register["English"] = array();
	$fieldToolTipscheque_register["English"] = array();
	$placeHolderscheque_register["English"] = array();
	$pageTitlescheque_register["English"] = array();
	$fieldLabelscheque_register["English"]["id"] = "Id";
	$fieldToolTipscheque_register["English"]["id"] = "";
	$placeHolderscheque_register["English"]["id"] = "";
	$fieldLabelscheque_register["English"]["cheque_number"] = "Cheque Number";
	$fieldToolTipscheque_register["English"]["cheque_number"] = "";
	$placeHolderscheque_register["English"]["cheque_number"] = "";
	$fieldLabelscheque_register["English"]["account"] = "Account";
	$fieldToolTipscheque_register["English"]["account"] = "";
	$placeHolderscheque_register["English"]["account"] = "";
	$fieldLabelscheque_register["English"]["register_date"] = "Register Date";
	$fieldToolTipscheque_register["English"]["register_date"] = "";
	$placeHolderscheque_register["English"]["register_date"] = "";
	$fieldLabelscheque_register["English"]["issu_date"] = "Issu Date";
	$fieldToolTipscheque_register["English"]["issu_date"] = "";
	$placeHolderscheque_register["English"]["issu_date"] = "";
	$fieldLabelscheque_register["English"]["clearance_date"] = "Clearance Date";
	$fieldToolTipscheque_register["English"]["clearance_date"] = "";
	$placeHolderscheque_register["English"]["clearance_date"] = "";
	$fieldLabelscheque_register["English"]["outlet_code"] = "Outlet Code";
	$fieldToolTipscheque_register["English"]["outlet_code"] = "";
	$placeHolderscheque_register["English"]["outlet_code"] = "";
	$fieldLabelscheque_register["English"]["user"] = "User";
	$fieldToolTipscheque_register["English"]["user"] = "";
	$placeHolderscheque_register["English"]["user"] = "";
	$fieldLabelscheque_register["English"]["details"] = "Details";
	$fieldToolTipscheque_register["English"]["details"] = "";
	$placeHolderscheque_register["English"]["details"] = "";
	$fieldLabelscheque_register["English"]["clear_or_not"] = "Clear Or Not";
	$fieldToolTipscheque_register["English"]["clear_or_not"] = "";
	$placeHolderscheque_register["English"]["clear_or_not"] = "";
	$fieldLabelscheque_register["English"]["m_id"] = "M Id";
	$fieldToolTipscheque_register["English"]["m_id"] = "";
	$placeHolderscheque_register["English"]["m_id"] = "";
	$fieldLabelscheque_register["English"]["amount"] = "Amount";
	$fieldToolTipscheque_register["English"]["amount"] = "";
	$placeHolderscheque_register["English"]["amount"] = "";
	if (count($fieldToolTipscheque_register["English"]))
		$tdatacheque_register[".isUseToolTips"] = true;
}


	$tdatacheque_register[".NCSearch"] = true;



$tdatacheque_register[".shortTableName"] = "cheque_register";
$tdatacheque_register[".nSecOptions"] = 0;

$tdatacheque_register[".mainTableOwnerID"] = "";
$tdatacheque_register[".entityType"] = 0;
$tdatacheque_register[".connId"] = "test2_at_localhost";


$tdatacheque_register[".strOriginalTableName"] = "cheque_register";

	



$tdatacheque_register[".showAddInPopup"] = false;

$tdatacheque_register[".showEditInPopup"] = false;

$tdatacheque_register[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatacheque_register[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatacheque_register[".listAjax"] = false;
//	temporary
$tdatacheque_register[".listAjax"] = false;

	$tdatacheque_register[".audit"] = true;

	$tdatacheque_register[".locking"] = false;


$pages = $tdatacheque_register[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatacheque_register[".edit"] = true;
	$tdatacheque_register[".afterEditAction"] = 1;
	$tdatacheque_register[".closePopupAfterEdit"] = 1;
	$tdatacheque_register[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatacheque_register[".add"] = true;
$tdatacheque_register[".afterAddAction"] = 1;
$tdatacheque_register[".closePopupAfterAdd"] = 1;
$tdatacheque_register[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatacheque_register[".list"] = true;
}



$tdatacheque_register[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatacheque_register[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatacheque_register[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatacheque_register[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatacheque_register[".printFriendly"] = true;
}



$tdatacheque_register[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatacheque_register[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatacheque_register[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatacheque_register[".isUseAjaxSuggest"] = true;

$tdatacheque_register[".rowHighlite"] = true;



																																																																																																						

$tdatacheque_register[".ajaxCodeSnippetAdded"] = false;

$tdatacheque_register[".buttonsAdded"] = false;

$tdatacheque_register[".addPageEvents"] = false;

// use timepicker for search panel
$tdatacheque_register[".isUseTimeForSearch"] = false;


$tdatacheque_register[".badgeColor"] = "4169e1";


$tdatacheque_register[".allSearchFields"] = array();
$tdatacheque_register[".filterFields"] = array();
$tdatacheque_register[".requiredSearchFields"] = array();

$tdatacheque_register[".googleLikeFields"] = array();
$tdatacheque_register[".googleLikeFields"][] = "id";
$tdatacheque_register[".googleLikeFields"][] = "cheque_number";
$tdatacheque_register[".googleLikeFields"][] = "account";
$tdatacheque_register[".googleLikeFields"][] = "register_date";
$tdatacheque_register[".googleLikeFields"][] = "issu_date";
$tdatacheque_register[".googleLikeFields"][] = "clearance_date";
$tdatacheque_register[".googleLikeFields"][] = "outlet_code";
$tdatacheque_register[".googleLikeFields"][] = "user";
$tdatacheque_register[".googleLikeFields"][] = "details";
$tdatacheque_register[".googleLikeFields"][] = "clear_or_not";
$tdatacheque_register[".googleLikeFields"][] = "m_id";
$tdatacheque_register[".googleLikeFields"][] = "amount";



$tdatacheque_register[".tableType"] = "list";

$tdatacheque_register[".printerPageOrientation"] = 0;
$tdatacheque_register[".nPrinterPageScale"] = 100;

$tdatacheque_register[".nPrinterSplitRecords"] = 40;

$tdatacheque_register[".geocodingEnabled"] = false;










$tdatacheque_register[".pageSize"] = 20;

$tdatacheque_register[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatacheque_register[".strOrderBy"] = $tstrOrderBy;

$tdatacheque_register[".orderindexes"] = array();


$tdatacheque_register[".sqlHead"] = "SELECT id,  	cheque_number,  	account,  	register_date,  	issu_date,  	clearance_date,  	outlet_code,  	`user`,  	details,  	clear_or_not,  	m_id,  	amount";
$tdatacheque_register[".sqlFrom"] = "FROM cheque_register";
$tdatacheque_register[".sqlWhereExpr"] = "";
$tdatacheque_register[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatacheque_register[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatacheque_register[".arrGroupsPerPage"] = $arrGPP;

$tdatacheque_register[".highlightSearchResults"] = true;

$tableKeyscheque_register = array();
$tableKeyscheque_register[] = "id";
$tdatacheque_register[".Keys"] = $tableKeyscheque_register;


$tdatacheque_register[".hideMobileList"] = array();




//	id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id";
	$fdata["GoodName"] = "id";
	$fdata["ownerTable"] = "cheque_register";
	$fdata["Label"] = GetFieldLabel("cheque_register","id");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacheque_register["id"] = $fdata;
		$tdatacheque_register[".searchableFields"][] = "id";
//	cheque_number
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "cheque_number";
	$fdata["GoodName"] = "cheque_number";
	$fdata["ownerTable"] = "cheque_register";
	$fdata["Label"] = GetFieldLabel("cheque_register","cheque_number");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "cheque_number";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "cheque_number";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "number";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=100";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacheque_register["cheque_number"] = $fdata;
		$tdatacheque_register[".searchableFields"][] = "cheque_number";
//	account
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "account";
	$fdata["GoodName"] = "account";
	$fdata["ownerTable"] = "cheque_register";
	$fdata["Label"] = GetFieldLabel("cheque_register","account");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "account";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "account";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "bank_accounts";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "bank";

	

	
	$edata["LookupOrderBy"] = "id";

	
	
	
	

	
		$edata["Multiselect"] = true;

		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacheque_register["account"] = $fdata;
		$tdatacheque_register[".searchableFields"][] = "account";
//	register_date
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "register_date";
	$fdata["GoodName"] = "register_date";
	$fdata["ownerTable"] = "cheque_register";
	$fdata["Label"] = GetFieldLabel("cheque_register","register_date");
	$fdata["FieldType"] = 135;

	
	
	
			

		$fdata["strField"] = "register_date";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "register_date";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "Invalid week day", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacheque_register["register_date"] = $fdata;
		$tdatacheque_register[".searchableFields"][] = "register_date";
//	issu_date
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "issu_date";
	$fdata["GoodName"] = "issu_date";
	$fdata["ownerTable"] = "cheque_register";
	$fdata["Label"] = GetFieldLabel("cheque_register","issu_date");
	$fdata["FieldType"] = 135;

	
	
	
			

		$fdata["strField"] = "issu_date";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "issu_date";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "Invalid week day", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacheque_register["issu_date"] = $fdata;
		$tdatacheque_register[".searchableFields"][] = "issu_date";
//	clearance_date
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "clearance_date";
	$fdata["GoodName"] = "clearance_date";
	$fdata["ownerTable"] = "cheque_register";
	$fdata["Label"] = GetFieldLabel("cheque_register","clearance_date");
	$fdata["FieldType"] = 135;

	
	
	
			

		$fdata["strField"] = "clearance_date";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "clearance_date";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "Invalid week day", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacheque_register["clearance_date"] = $fdata;
		$tdatacheque_register[".searchableFields"][] = "clearance_date";
//	outlet_code
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "outlet_code";
	$fdata["GoodName"] = "outlet_code";
	$fdata["ownerTable"] = "cheque_register";
	$fdata["Label"] = GetFieldLabel("cheque_register","outlet_code");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "outlet_code";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "outlet_code";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "company_profile";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 4;

		$edata["HorizontalLookup"] = true;

		
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "company_name";

	

	
	$edata["LookupOrderBy"] = "company_name";

	
	
	
	

	
	
	
// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacheque_register["outlet_code"] = $fdata;
		$tdatacheque_register[".searchableFields"][] = "outlet_code";
//	user
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "user";
	$fdata["GoodName"] = "user";
	$fdata["ownerTable"] = "cheque_register";
	$fdata["Label"] = GetFieldLabel("cheque_register","user");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "user";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`user`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
		$edata["autoUpdatable"] = true;

	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacheque_register["user"] = $fdata;
		$tdatacheque_register[".searchableFields"][] = "user";
//	details
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "details";
	$fdata["GoodName"] = "details";
	$fdata["ownerTable"] = "cheque_register";
	$fdata["Label"] = GetFieldLabel("cheque_register","details");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "details";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "details";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=200";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacheque_register["details"] = $fdata;
		$tdatacheque_register[".searchableFields"][] = "details";
//	clear_or_not
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 10;
	$fdata["strName"] = "clear_or_not";
	$fdata["GoodName"] = "clear_or_not";
	$fdata["ownerTable"] = "cheque_register";
	$fdata["Label"] = GetFieldLabel("cheque_register","clear_or_not");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "clear_or_not";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "clear_or_not";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacheque_register["clear_or_not"] = $fdata;
		$tdatacheque_register[".searchableFields"][] = "clear_or_not";
//	m_id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 11;
	$fdata["strName"] = "m_id";
	$fdata["GoodName"] = "m_id";
	$fdata["ownerTable"] = "cheque_register";
	$fdata["Label"] = GetFieldLabel("cheque_register","m_id");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "m_id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "m_id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacheque_register["m_id"] = $fdata;
		$tdatacheque_register[".searchableFields"][] = "m_id";
//	amount
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 12;
	$fdata["strName"] = "amount";
	$fdata["GoodName"] = "amount";
	$fdata["ownerTable"] = "cheque_register";
	$fdata["Label"] = GetFieldLabel("cheque_register","amount");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "amount";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "amount";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacheque_register["amount"] = $fdata;
		$tdatacheque_register[".searchableFields"][] = "amount";


$tables_data["cheque_register"]=&$tdatacheque_register;
$field_labels["cheque_register"] = &$fieldLabelscheque_register;
$fieldToolTips["cheque_register"] = &$fieldToolTipscheque_register;
$placeHolders["cheque_register"] = &$placeHolderscheque_register;
$page_titles["cheque_register"] = &$pageTitlescheque_register;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["cheque_register"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["cheque_register"] = array();



	
				$strOriginalDetailsTable="cheque_register_m";
	$masterParams = array();
	$masterParams["mDataSourceTable"]="cheque_register_m";
	$masterParams["mOriginalTable"]= $strOriginalDetailsTable;
	$masterParams["mShortTable"]= "cheque_register_m";
	$masterParams["masterKeys"]= array();
	$masterParams["detailKeys"]= array();

	$masterParams["type"] = PAGE_LIST;
					$masterTablesData["cheque_register"][0] = $masterParams;
				$masterTablesData["cheque_register"][0]["masterKeys"] = array();
	$masterTablesData["cheque_register"][0]["masterKeys"][]="id";
				$masterTablesData["cheque_register"][0]["masterKeys"][]="date";
				$masterTablesData["cheque_register"][0]["masterKeys"][]="account";
				$masterTablesData["cheque_register"][0]["masterKeys"][]="outlet_code";
				$masterTablesData["cheque_register"][0]["detailKeys"] = array();
	$masterTablesData["cheque_register"][0]["detailKeys"][]="m_id";
				$masterTablesData["cheque_register"][0]["detailKeys"][]="register_date";
				$masterTablesData["cheque_register"][0]["detailKeys"][]="account";
				$masterTablesData["cheque_register"][0]["detailKeys"][]="outlet_code";
		
// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_cheque_register()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "id,  	cheque_number,  	account,  	register_date,  	issu_date,  	clearance_date,  	outlet_code,  	`user`,  	details,  	clear_or_not,  	m_id,  	amount";
$proto0["m_strFrom"] = "FROM cheque_register";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "cheque_register",
	"m_srcTableName" => "cheque_register"
));

$proto6["m_sql"] = "id";
$proto6["m_srcTableName"] = "cheque_register";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "cheque_number",
	"m_strTable" => "cheque_register",
	"m_srcTableName" => "cheque_register"
));

$proto8["m_sql"] = "cheque_number";
$proto8["m_srcTableName"] = "cheque_register";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "account",
	"m_strTable" => "cheque_register",
	"m_srcTableName" => "cheque_register"
));

$proto10["m_sql"] = "account";
$proto10["m_srcTableName"] = "cheque_register";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "register_date",
	"m_strTable" => "cheque_register",
	"m_srcTableName" => "cheque_register"
));

$proto12["m_sql"] = "register_date";
$proto12["m_srcTableName"] = "cheque_register";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "issu_date",
	"m_strTable" => "cheque_register",
	"m_srcTableName" => "cheque_register"
));

$proto14["m_sql"] = "issu_date";
$proto14["m_srcTableName"] = "cheque_register";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "clearance_date",
	"m_strTable" => "cheque_register",
	"m_srcTableName" => "cheque_register"
));

$proto16["m_sql"] = "clearance_date";
$proto16["m_srcTableName"] = "cheque_register";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "outlet_code",
	"m_strTable" => "cheque_register",
	"m_srcTableName" => "cheque_register"
));

$proto18["m_sql"] = "outlet_code";
$proto18["m_srcTableName"] = "cheque_register";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
						$proto20=array();
			$obj = new SQLField(array(
	"m_strName" => "user",
	"m_strTable" => "cheque_register",
	"m_srcTableName" => "cheque_register"
));

$proto20["m_sql"] = "`user`";
$proto20["m_srcTableName"] = "cheque_register";
$proto20["m_expr"]=$obj;
$proto20["m_alias"] = "";
$obj = new SQLFieldListItem($proto20);

$proto0["m_fieldlist"][]=$obj;
						$proto22=array();
			$obj = new SQLField(array(
	"m_strName" => "details",
	"m_strTable" => "cheque_register",
	"m_srcTableName" => "cheque_register"
));

$proto22["m_sql"] = "details";
$proto22["m_srcTableName"] = "cheque_register";
$proto22["m_expr"]=$obj;
$proto22["m_alias"] = "";
$obj = new SQLFieldListItem($proto22);

$proto0["m_fieldlist"][]=$obj;
						$proto24=array();
			$obj = new SQLField(array(
	"m_strName" => "clear_or_not",
	"m_strTable" => "cheque_register",
	"m_srcTableName" => "cheque_register"
));

$proto24["m_sql"] = "clear_or_not";
$proto24["m_srcTableName"] = "cheque_register";
$proto24["m_expr"]=$obj;
$proto24["m_alias"] = "";
$obj = new SQLFieldListItem($proto24);

$proto0["m_fieldlist"][]=$obj;
						$proto26=array();
			$obj = new SQLField(array(
	"m_strName" => "m_id",
	"m_strTable" => "cheque_register",
	"m_srcTableName" => "cheque_register"
));

$proto26["m_sql"] = "m_id";
$proto26["m_srcTableName"] = "cheque_register";
$proto26["m_expr"]=$obj;
$proto26["m_alias"] = "";
$obj = new SQLFieldListItem($proto26);

$proto0["m_fieldlist"][]=$obj;
						$proto28=array();
			$obj = new SQLField(array(
	"m_strName" => "amount",
	"m_strTable" => "cheque_register",
	"m_srcTableName" => "cheque_register"
));

$proto28["m_sql"] = "amount";
$proto28["m_srcTableName"] = "cheque_register";
$proto28["m_expr"]=$obj;
$proto28["m_alias"] = "";
$obj = new SQLFieldListItem($proto28);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto30=array();
$proto30["m_link"] = "SQLL_MAIN";
			$proto31=array();
$proto31["m_strName"] = "cheque_register";
$proto31["m_srcTableName"] = "cheque_register";
$proto31["m_columns"] = array();
$proto31["m_columns"][] = "id";
$proto31["m_columns"][] = "cheque_number";
$proto31["m_columns"][] = "account";
$proto31["m_columns"][] = "register_date";
$proto31["m_columns"][] = "issu_date";
$proto31["m_columns"][] = "clearance_date";
$proto31["m_columns"][] = "outlet_code";
$proto31["m_columns"][] = "user";
$proto31["m_columns"][] = "details";
$proto31["m_columns"][] = "clear_or_not";
$proto31["m_columns"][] = "m_id";
$proto31["m_columns"][] = "amount";
$obj = new SQLTable($proto31);

$proto30["m_table"] = $obj;
$proto30["m_sql"] = "cheque_register";
$proto30["m_alias"] = "";
$proto30["m_srcTableName"] = "cheque_register";
$proto32=array();
$proto32["m_sql"] = "";
$proto32["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto32["m_column"]=$obj;
$proto32["m_contained"] = array();
$proto32["m_strCase"] = "";
$proto32["m_havingmode"] = false;
$proto32["m_inBrackets"] = false;
$proto32["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto32);

$proto30["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto30);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="cheque_register";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_cheque_register = createSqlQuery_cheque_register();


	
		;

												

$tdatacheque_register[".sqlquery"] = $queryData_cheque_register;



$tableEvents["cheque_register"] = new eventsBase;
$tdatacheque_register[".hasEvents"] = false;

?>